> For the complete documentation index, see [llms.txt](https://docs.junkipedia.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.junkipedia.org/es/material-de-referencia/api/parametros-de-la-cadena-de-consulta/excluir.md).

# Excluir

Los siguientes puntos de entrada de la API admiten el uso de "**exclude**" como un parámetro de la cadena de consulta:

* GET /posts
* GET /posts/stats

Este es un parámetro opcional. Cuando se agrega a la cadena de consulta, permite excluir de los resultados los registros con las siguientes propiedades:

* **ads –** excluye anuncios.
* **replies –** excluye respuestas.
* **posts –** excluye todo excepto los anuncios.

Cada una de estas propiedades es un parámetro de tipo array, lo que permite incluir múltiples opciones en la misma solicitud.

La sintaxis para utilizar estos parámetros consiste en agregar corchetes vacíos al parámetro antes de asignarlo a una de las opciones deseadas. Esto se puede repetir para excluir múltiples opciones. En el siguiente ejemplo, solo se incluirán publicaciones que no sean anuncios ni respuestas en la lista de resultados:

* GET /posts?exclude\[]=ads\&exclude\[]=replies


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.junkipedia.org/es/material-de-referencia/api/parametros-de-la-cadena-de-consulta/excluir.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
